import type { TimeSliderInstance } from '@vidstack/react';
import type React from 'react';
export declare const KNOB_OFFSET: {
    top: number;
    right: number;
    bottom: number;
    left: number;
};
export declare enum KnobStartPoint {
    TOP = "top",
    RIGHT = "right",
    BOTTOM = "bottom",
    LEFT = "left"
}
export interface Position {
    x: number;
    y: number;
}
export interface KnobProps {
    knobColor?: string;
    knobSize?: number;
    onMouseDown?: () => void;
    onMouseUp?: () => void;
    onMouseMove?: (event: any) => void;
}
export interface SliderProps {
    width: number;
    radius?: number;
    trackColor: string;
    trackSize: number;
    progress: number;
    buffered?: number;
    paused?: boolean;
    backgroundWidth?: string;
    strokeDasharray: string;
    strokeDashoffset: number;
}
export interface CircularSliderProp {
    knobStartPoint: KnobStartPoint;
    timeSliderRef: React.MutableRefObject<TimeSliderInstance>;
    knobSize?: number;
    width?: number;
    knobColor?: string;
    trackColor?: string;
    trackSize?: number;
    radiusMultiplier?: number;
}
export interface SliderState {
    isDragging: boolean;
    progress: number;
    knobPosition: Position;
}
